Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin.hawk
Class HawkParser

    java.lang.Object
      com.tibco.tibjms.admin.hawk.HawkParser

    public class HawkParser

extends java.lang.Object

This class provides assistance for building Hawk return values. It provides type safety and checks for null values, which are not allowed as return values. One instance of this class is created for each type of MicroAgent. The Parser class can spawn instances of HawkReturn or HawkTabReturn that methods can use for building the actual return values.

Constructor Summary
`HawkParser(MicroAgentDescriptor ma_desc)` Create a parser for the micro agent described by ma_desc.

Method Summary
`HawkReturn` | `getReturn(java.lang.String methodName)` Get a return value builder appropriate for the named method.
`HawkTabReturn` | `getTabularReturn(java.lang.String methodName)` Get a tabular return value builder appropriate for the named method.
`CompositeData` | `returnOneValue(java.lang.String methodName, boolean value)` Convenience function for returning a simple boolean value.
`CompositeData` | `returnOneValue(java.lang.String methodName, int value)` Convenience function for returning a simple integer value.
`CompositeData` | `returnOneValue(java.lang.String methodName, long value)` Convenience function for returning a simple long value.
`CompositeData` | `returnOneValue(java.lang.String methodName, java.lang.Object value)` Convenience function for returning a simple object value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HawkParser

    public HawkParser(MicroAgentDescriptor ma_desc)

  Create a parser for the micro agent described by ma_desc.

Method Detail

### getReturn

    public HawkReturn getReturn(java.lang.String methodName)
                         throws MicroAgentException

  Get a return value builder appropriate for the named method.

  Throws:
    `MicroAgentException`

### getTabularReturn

    public HawkTabReturn getTabularReturn(java.lang.String methodName)
                                   throws MicroAgentException

  Get a tabular return value builder appropriate for the named method.

  Throws:
    `MicroAgentException`

### returnOneValue

    public CompositeData returnOneValue(java.lang.String methodName,
                                        java.lang.Object value)
                                 throws MicroAgentException

  Convenience function for returning a simple object value.

  Throws:
    `MicroAgentException`

### returnOneValue

    public CompositeData returnOneValue(java.lang.String methodName,
                                        int value)
                                 throws MicroAgentException

  Convenience function for returning a simple integer value.

  Throws:
    `MicroAgentException`

### returnOneValue

    public CompositeData returnOneValue(java.lang.String methodName,
                                        long value)
                                 throws MicroAgentException

  Convenience function for returning a simple long value.

  Throws:
    `MicroAgentException`

### returnOneValue

    public CompositeData returnOneValue(java.lang.String methodName,
                                        boolean value)
                                 throws MicroAgentException

  Convenience function for returning a simple boolean value.

  Throws:
    `MicroAgentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved